#!/bin/bash
#
# admin1.cgi
#
# Web Administration, Hauptseite
# Fassung mit Frames
#
# Copyright (C) 1998 Reiner Klaproth, nach Andreas Furbach
# Aenderung fuer Dial-In-Paket Klaus Werner
#
PROV_FILE=providers

cgiutils -ct text/html -cl de -expires now

cat << xxxEOFxxx

<html>
<head>
<title>Web Administration Schulserver</title>
<meta name="AUTHOR" content="Klaus Werner">
</head>

<BODY background="whttxtr2.jpg">
xxxEOFxxx

AKT_PROV=""
for prov in `cat ${PROV_FILE} | cut -f1` ; do
        if [ -f /var/lock/$prov ]; then
                AKT_PROV=$prov
                break;
        fi
done

onstat=$AKT_PROV
if [ "$onstat" = "" ] ; then
	echo "<H3 ALIGN=Center><FONT COLOR=\"#0000FF\">OFFLINE</FONT></H3>"
    else
        echo "<H3 ALIGN=Center><FONT COLOR=\"#FF0000\">ONLINE ("
        if [ -f /var/lock/$prov.standby ]; then
                echo "nicht verbunden"
            else
                echo "aktiv"
        fi
        echo ")</FONT></H3>"
        # und zeigen von wem
        if [ -f /var/lock/online.user ]; then
                ONL_USER=`cat /var/lock/online.user`
            else
                ONL_USER="unbekannt (sysadm oder internet?)"
        fi
        if [ -f /var/log/ontime.dat ]; then
                ONTIME=`cat /var/log/ontime.dat`
            else
                ONTIME="unbegrenzt."
        fi
        echo "<TABLE width=80%><TR><TH align=right>Provider:</TH>"
        echo "<TD width=15%> $AKT_PROV</TD><TH align=right>Nutzer:</TH>"
	echo "<TD width=15%> $ONL_USER </TD><TH align=right>bis:</TH>"
        echo "<TD>$ONTIME</TD></TR></TABLE>"
        onstat=1
fi

cat << xxxEOFxxx

<table width=90%>
<tr>
  <td align=right width=50%>
    <a href="connect1.cgi">Internet Verbindung -
    <img src="internet.gif" align=middle border=0 width=40 height=40>
    </a>
  </td>
  <td width=50%>
    <a href="upass.cgi">
	<img src="password.gif" align=middle border=0 width=40 height=40>
	- Passwort &auml;ndern
    </a>
  </td>
</tr>
<tr>
  <td align=right width=50%>
    <a href="mqueue.cgi">Mail-Warteschlange anzeigen -
    <img src="mail.gif" align=middle border=0 width=40 height=40>
    </a>
  </td>
  <td width=50%>
    <a href="ipfwmasq1.cgi">
	<img src="masq.gif" align=middle border=0 width=40 height=40>
	- IP-Masquerading umstellen
    </a>
  </td>
</tr>
<tr>
  <td align=right width=50%>
    <a href="uucp1.cgi">Mail- und News-Verbindung ansto&szlig;en-
    <img src="mailtausch.gif" align=middle border=0 width=40 height=40>
    </a>
  </td>
  <td width=50%>
  <a href="mount.cgi">
  <img src="cd-floppy.gif" align=middle border=0 width=40 height=40>
  - Datentr&auml;ger einklinken
  </a>
  </td>
</tr>
<tr>
  <td align=center colspan=2>
  <a href="https://arktur/squidset/" target="_blanc">
  <img src="lock.gif" align=middle border=0 width=40 height=40>
  - externen Zugriff f&uuml;r ein Subnetz sperren/freigeben
  </a>
  </td>
</tr>
</table>
<hr>
Zuletzt ge&auml;ndert am : 19.12.2001
&copy; Andreas Furbach, Klaus Werner, Reiner Klaproth
</body>

</html>

xxxEOFxxx
